Status: Closed

Priority: Normal

Assignee:

Category: MetaSearch Catalogue Client

Affected QGIS version:2.18.10 Regression?: No

Operating System: Fedora 26 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24862

Description

I am running Fedora 26.  Attempting to run QGIS 2.18 Las Palmas results in an error message:

Couldn't load plugin MetaSearch due to an error when calling its classFactory() method

RuntimeError: PyKDE4.kdeui cannot import type 'QList >' from PyQt4.QtCore 

Traceback (most recent call last):

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 333, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/usr/share/qgis/python/plugins/MetaSearch/__init__.py", line 29, in classFactory

    from MetaSearch.plugin import MetaSearchPlugin

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 607, in import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/MetaSearch/plugin.py", line 33, in 

    from MetaSearch.dialogs.maindialog import MetaSearchDialog

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/MetaSearch/dialogs/maindialog.py", line 48, in 

    from MetaSearch.dialogs.manageconnectionsdialog import ManageConnectionsDialog

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/MetaSearch/dialogs/manageconnectionsdialog.py", line 38, in 

    BASE_CLASS = get_ui_class('manageconnectionsdialog.ui')

  File "/usr/share/qgis/python/plugins/MetaSearch/util.py", line 68, in get_ui_class

    return loadUiType(ui_file_full)[0]

  File "/usr/lib64/python2.7/site-packages/PyQt4/uic/_init__.py", line 208, in loadUiType

    winfo = compiler.UICompiler().compileUi(uifile, code_string, from_imports, resource_suffix)

  File "/usr/lib64/python2.7/site-packages/PyQt4/uic/Compiler/compiler.py", line 55, in init

    CompilerCreatorPolicy())

  File "/usr/lib64/python2.7/site-packages/PyQt4/uic/uiparser.py", line 183, in init

    self.factory = QObjectCreator(creatorPolicy)

  File "/usr/lib64/python2.7/site-packages/PyQt4/uic/objcreator.py", line 97, in init

    self._cwFilters.append(plugin_locals["getFilter"]())

  File "", line 22, in getFilter

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 607, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

RuntimeError: PyKDE4.kdeui cannot import type 'QList >' from PyQt4.QtCore

Starting QGIS from a console command line using --noplugins results in a start with no reported problems.
History

#1 - 2017-08-03 12:47 PM - Giovanni Manghi

- Subject changed from QGIS fails to boot to Metasearch error on QGIS start on Fedora

- Category changed from Plugin Manager to MetaSearch Catalogue Client

- Status changed from Open to Feedback

- Assignee deleted (Borys Jurgiel)

Note:

I recently installed QGIS 2.18 on CentOS follwing https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/

and had no issues.

#2 - 2017-08-04 07:19 AM - John Dougherty

Giovanni Manghi wrote:

Note:

I recently installed QGIS 2.18 on CentOS follwing https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/

and had no issues.

I installed from the same source, following the same directions, and the bug report (16963) is the product of that process. So, the fact that you had no

troubles is not informative to me.  And on my system, Las Palmas still crashes on startup.

#3 - 2017-08-04 09:41 AM - Giovanni Manghi

John Dougherty wrote:

Giovanni Manghi wrote:

Note:

I recently installed QGIS 2.18 on CentOS follwing https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/

and had no issues.

And on my system, Las Palmas still crashes on startup.

Any chance to try on a different system, maybe a VM? Is the whole QGIS that crashes or is just the metasearch plugin that returns a python error?

#4 - 2017-08-05 04:09 AM - John Dougherty

Giovanni Manghi wrote:

2025-05-19 2/4

https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/
https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/
https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/


John Dougherty wrote:

Giovanni Manghi wrote:

Note:

I recently installed QGIS 2.18 on CentOS follwing https://copr.fedorainfracloud.org/coprs/neteler/QGIS-2.18-Las-Palmas/

and had no issues.

And on my system, Las Palmas still crashes on startup.

Any chance to try on a different system, maybe a VM? Is the whole QGIS that crashes or is just the metasearch plugin that returns a python error?

If I close the error message, the banner simply vanishes while "Restoring loaded plugins."  I've been experimenting and curiously, if I try launching a second

instance, the QGIS GUI comes up. However, attempting to install plugins brings it down.  Monitoring the processes shows qgis until the banner vanishes

and then that process disappears.

The error explicitly notes:

PyKDE4.kdeui cannot import type 'QList >' from PyQt4.QtCore

That suggests to me that my preference for KDE might be part of the problem, but ...

I was running both QGIS 2.18 and GRASS using Opensuse Leap 42.2 (KDE version) before I had some sort of problem with the system that left it partially

bootable.  I decided to do a clean install of Fedora 25 (KDE spin).  I had not tried installing either piece on the "25" system before the "26" update came

out.  There were no hardware changes.

I can also start QGIS from a terminal using the "--noplugins" option.

Running (well trying to) QGIS from the console, the final error messages qre:

QH6248 qh_lib_check: Incorrect qhull library called.  Caller uses reentrant Qhull while library is non-reentrant

QH6249 qh_lib_check: Incorrect qhull library called.  Size of qhT for caller is 8184, but for library is 2896.

QH6256 qh_lib_check: Cannot continue.  Library 'qhull 7.2.0 (2015.2 2016/01/18)' uses a static qhT (e.g., libqhull.so)

This seems to the reappearance of an older problem.  One reported solution was to downgrade from qhull 0.19 to 0.11.  I tried that with no success.  The

PyKDE4 error continues to appear.

Thanks for thinking about this.

#5 - 2017-08-06 08:07 PM - Giovanni Manghi

Installed fedora 26 in a VM > installed KDE > rebooted and logged in using Plasma > installed QGIS with the suggestions in the above link > no issues.

#6 - 2017-09-25 04:34 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable
Closing for lack of feedback, please reopen if necessary.

#7 - 2017-10-14 03:07 PM - Davor Racic

Just to add my experiences on this issue. I think this is really a Fedora 26 Bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1480727

When you just use Python and try to import import PyKDE4.kdeui you get an error. I think this was because PyQt4/pykde4 were built against an older

version of sip:

https://bodhi.fedoraproject.org/updates/FEDORA-2017-7cd5dfcd05

Files

runtime-error.txt 2.3 KB 2017-08-03 John Dougherty
